Skip to main content
POST
/
v1
/
agents
curl -X POST https://api.dari.dev/v1/agents \
  -H "Authorization: Bearer $DARI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "support-agent",
    "manifest": {
      "name": "support-agent",
      "sdk": "openai-agents",
      "entrypoint": "agent.py:agent"
    },
    "source": {
      "type": "upload"
    }
  }'
{
  "id": "agt_123",
  "name": "support-agent",
  "agent_url": "https://api.dari.dev/v1/agents/agt_123",
  "active_version_id": "ver_9",
  "created_at": "2026-03-31T18:20:00Z"
}
Creates an agent from your repo and makes it available through a stable agent URL.

Headers

Authorization
string
required
Bearer token using your Dari API key, for example Bearer $DARI_API_KEY
Content-Type
string
required
Must be application/json

Request Body

name
string
required
Human-readable agent name.
manifest
object
required
Parsed contents of dari.yml.
source
object
required
Uploaded repo contents and publish input metadata.

Response Fields

id
string
Agent ID. This value is returned as id.
name
string
Agent name.
agent_url
string
Stable URL for this agent.
active_version_id
string
Currently active agent version.
created_at
string
ISO 8601 creation timestamp.
curl -X POST https://api.dari.dev/v1/agents \
  -H "Authorization: Bearer $DARI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "support-agent",
    "manifest": {
      "name": "support-agent",
      "sdk": "openai-agents",
      "entrypoint": "agent.py:agent"
    },
    "source": {
      "type": "upload"
    }
  }'
{
  "id": "agt_123",
  "name": "support-agent",
  "agent_url": "https://api.dari.dev/v1/agents/agt_123",
  "active_version_id": "ver_9",
  "created_at": "2026-03-31T18:20:00Z"
}